## libapache-poi-java 3.6+dfsg

=== debian/changelog ===
libapache-poi-java (3.6+dfsg-2) unstable; urgency=low

  * Rename package from jakarta-poi to apache-poi. Add appropriate Conflicts,
    Replaces, and Provides.
  * Keep some compatibility symlinks in /usr/share/java.
  * Remove Java runtime from Depends.
  * Switch to source format 3.0.
  * Remove Christian from Uploaders list.
  * Switch to debhelper level 7.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Wed, 07 Sep 2011 22:08:56 +0200

libjakarta-poi-java (3.6+dfsg-1) unstable; urgency=low

  * New upstream release.
    - refresh all patches
  * Remove Arnaud Vandyck from Uploaders
  * Fix debian/watch to track upstream tarballs naming changes

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 Dec 2009 23:18:25 +0100

libjakarta-poi-java (3.5+dfsg-1) unstable; urgency=low

  * New upstream release.
    - 01_javac_encoding: refreshed
    - 02_classpath: use Debian JAR for build
    - 03_no_ooxml: disable ooxml module (use non-free JARs)
    - 04_jar_names: strip DSTAMP for JARs filenames
  * Update my email address
  * debian/orig-tar.exclude: Update exclusion file list

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 01 Oct 2009 00:36:43 +0200

libjakarta-poi-java (3.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #499729).
    - POI documentation manual is not built anymore (depends on Forrest)
      so remove corresponding doc-base and lintian override.
    - Strip MS Office files from upstream tarball (.ppt, .vsd & so)
  * Add myself to Uploaders
  * Update Standards-Version to 3.8.3:
    - Rename README.Debian-source to README.source to comply with policy
    - Add recommended get-orig-source target (with orig-tar.sh script)
  * Maven POMs:
    - Add a Build-Depends dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - Use maven-dist Ant target to generate all pom.xml files
  * Use quilt as patch system:
    - Add a Build-Depends on quilt
    - Refresh all patches
    - Use patchsys-quilt.mk in debian/rules
    - Describe patch system in debian/README.source
  * Install API documentation in /usr/share/doc/libjakarta-poi-java/api/
  * Update debian/copyright:
    - Update copyright years
    - Include detailled upstream Authors (from KEYS file)
    - Include GPLv3 copyright for a resource file of HDGF part of POI

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Thu, 27 Aug 2009 23:24:48 +0200

libjakarta-poi-java (3.0.2.dfsg-2) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add missing Depends: ${misc:Depends}.
  * Change debhelper compat level to 5.
  * Add Vcs-* and Homepage headers.
  * Update Standards-Version: 3.8.2.
  * Do no longer quote the full text of the Apache license.
  * Change Section: java.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Aug 2009 22:17:13 +0200

libjakarta-poi-java (3.0.2.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/changelog to have proper copyright.
  * Delete empty directory from documentation.
  * Removed old entry from lintian overrides file.

 -- Michael Koch <konqueror@gmx.de>  Thu, 14 Feb 2008 15:40:22 +0100

libjakarta-poi-java (3.0.1.dfsg-2) unstable; urgency=low

  * Improved wtch file to remove '.dfsg' in debian version.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 28 Dec 2007 11:23:11 +0100

libjakarta-poi-java (3.0.1.dfsg-1) unstable; urgency=low

  * oops, of course we need to remove lib/*.jar and src/contrib/lib/* from the orig

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Sep 2007 19:24:21 +0200

libjakarta-poi-java (3.0.1-2) unstable; urgency=low

  * Fix build for environments without locale set. Closes: #443034.
  * Removed Wolfgang from Uploaders and added myself.

 -- Michael Koch <konqueror@gmx.de>  Tue, 18 Sep 2007 20:33:07 +0200

libjakarta-poi-java (3.0.1-1) unstable; urgency=low

  * New upstream release (closes: #436974)
  * add myself to Uploaders
  * add watch file 

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Sep 2007 00:27:43 +0200

libjakarta-poi-java (2.5.1-3) unstable; urgency=low

  * Standards-Version: updated to 3.7.2, no change needed
  * built with java-gcj-compat-dev
  * no more run the tests (closes: #393151). I was able to run a lot of
    tests with java-gcj-compat, but got a problem 'cannot open
    display'. Maybe it'll be a problem with pbuilders.
  * removed the patches

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 30 Oct 2006 14:19:36 +0100

libjakarta-poi-java (2.5.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Wolfgang Baer <WBaer@gmx.de>  Thu,  2 Feb 2006 15:37:06 +0100

libjakarta-poi-java (2.5.1-1) experimental; urgency=low

  * New upstream release
  * Move to main - build with kaffe
  * Apache 2.0 License, adjusted debian/copyright
  * Move package to pkg-java-maintainers for comaintenance, 
    added Christian Bayle and myself as uploaders
  * New build dependencies (some are also dependencies) 
    libcommons-logging-java, liblog4j1.2-java, ant-optional, junit, cdbs,
    libxalan2-java, libcommons-beanutils-java, libcommons-lang-java
  * Added compat file for debhelper 4 compatibility
  * Updated README.Debian with information about different classpaths 
    dependend on used jakarta-poi jar files (main, scratchpad, contrib)
  * Enabled and run unit tests
  * Register manual and api with doc-base
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Tue, 25 Oct 2005 21:12:16 +0200

libjakarta-poi-java (1.10.0-4) unstable; urgency=high

  * Fixed FTBFS: Missing Build-Depends on 'ant' (Closes: #306750)

 -- Christian Bayle <bayle@debian.org>  Thu, 28 Apr 2005 21:59:48 +0200

libjakarta-poi-java (1.10.0-3) unstable; urgency=low

  * Missing comma in Build-Depends-Indep line of control file
  (Closes: bug#254881) 


