=== debian/control ===
Source: libapache-poi-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Michael Koch <konqueror@gmx.de>, Torsten Werner <twerner@debian.org>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, ant-optional, junit, default-jdk, libcommons-logging-java, liblog4j1.2-java, libxalan2-java, libcommons-beanutils-java, libcommons-lang-java, maven-repo-helper
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libapache-poi-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libapache-poi-java/
Homepage: http://poi.apache.org

Package: libapache-poi-java
Architecture: all
Depends: libcommons-logging-java, liblog4j1.2-java, libxalan2-java, libcommons-beanutils-java, libcommons-lang-java, ${misc:Depends}
Suggests: libapache-poi-java-doc
Conflicts: libjakarta-poi-java
Replaces: libjakarta-poi-java
Provides: libjakarta-poi-java
Description: Poor Obfuscation Implementation
 The POI project consists of APIs for manipulating various file formats 
 based upon Microsoft's OLE 2 Compound Document format using pure Java.
 .
 OLE 2 Compound Document Format based files include
 most Microsoft Office files such as XLS and DOC. 

Package: libapache-poi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libapache-poi-java
Conflicts: libjakarta-poi-java-doc
Replaces: libjakarta-poi-java-doc
Provides: libjakarta-poi-java-doc
Description: Poor Obfuscation Implementation Documentation
 The POI project consists of APIs for manipulating various file formats 
 based upon Microsoft's OLE 2 Compound Document format using pure Java.
 .
 This package includes the documentation.
