=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')

PACKAGE := apache-poi
MAVEN_DIST := build/dist
POM_DIR := $(MAVEN_DIST)
JAR_DIR := $(MAVEN_DIST)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := $(ANT_HOME)/lib/ant-junit.jar $(ANT_HOME)/lib/ant-nodeps.jar junit xalan2
DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
#DEB_ANT_CHECK_TARGET := test

ANT_ARGS := -Dversion.id=$(VERSION)

clean::
	-test -d docs/skin/css && rmdir docs/skin/css
	-rm -rf debian/tmp

binary-post-install/lib$(PACKAGE)-java::
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-contrib-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-scratchpad-$(VERSION).pom
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-$(VERSION).pom $(JAR_DIR)/poi-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-contrib-$(VERSION).pom $(JAR_DIR)/poi-contrib-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-scratchpad-$(VERSION).pom $(JAR_DIR)/poi-scratchpad-$(VERSION).jar

get-orig-source:
	debian/orig-tar.sh --upstream-version $(VERSION)
