=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	http://www.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz
