## libapache-poi-java 3.9

=== debian/changelog ===
libapache-poi-java (3.9-1) unstable; urgency=low

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Removed poi-contrib.jar (merged into poi.jar and poi-examples.jar)
    - Removed the unused dependencies on commons-beanutils, commons-lang
      and xalan
    - Added a dependency on libcommons-codec-java
    - Added the new excelant component (Excel Ant tasks)
  * Removed the patches 01_javac_encoding.patch and 02_classpath.patch
  * Enabled the unit tests
  * Added the classpath attribute in the manifests
  * Enabled the ooxml modules (Closes: #658288)
    - Removed the patch 03_no_ooxml.patch
    - Updated debian/orig-tar.sh to fetch the OOXML schemas from the ECMA site
    - Added a dependency on libxmlbeans-java
    - Updated debian/copyright to document the license of the OOXML schemas
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Removed Michael Koch from the uploaders (Closes: #654046)
    - Improved the package description
  * debian/rules: Improved the clean target
  * Updated the debian/README.* files

  [ tony mancill ]
  * Update debian/copyright to DEP5 format; clarify license of 
    chunks_parse_cmds.tbl.  (Closes: #659067)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Jul 2013 23:10:21 +0200
