=== debian/control ===
Source: libapache-poi-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>,
           Torsten Werner <twerner@debian.org>,
           Damien Raude-Morvan <drazzib@debian.org>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant,
               ant-optional,
               cdbs,
               debhelper (>= 7),
               default-jdk,
               javahelper,
               junit,
               libcommons-codec-java,
               libcommons-logging-java,
               libdom4j-java,
               liblog4j1.2-java,
               libxmlbeans-java,
               maven-repo-helper
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libapache-poi-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libapache-poi-java/
Homepage: http://poi.apache.org

Package: libapache-poi-java
Architecture: all
Depends: ant,
         libcommons-codec-java,
         libcommons-logging-java,
         libdom4j-java,
         liblog4j1.2-java,
         libxmlbeans-java,
         ${misc:Depends}
Suggests: libapache-poi-java-doc
Conflicts: libjakarta-poi-java
Replaces: libjakarta-poi-java
Provides: libjakarta-poi-java
Description: Apache POI - Java API for Microsoft Documents
 Apache POI provides a Java API for manipulating various file formats based upon
 the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document
 format (OLE2).
 .
 Apache POI supports the following formats:
  * Word (DOC, DOCX)
  * Excel (XLS, XLSX)
  * PowerPoint (PPT, PPTX)
  * Visio (VSD)
  * Publisher (PUB)
  * Outlook
  * TNEF (Transport Neutral Encoding Format)

Package: libapache-poi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libapache-poi-java
Conflicts: libjakarta-poi-java-doc
Replaces: libjakarta-poi-java-doc
Provides: libjakarta-poi-java-doc
Description: Apache POI - Java API for Microsoft Documents (Documentation)
 Apache POI provides a Java API for manipulating various file formats based upon
 the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document
 format (OLE2).
 .
 Apache POI supports the following formats:
  * Word (DOC, DOCX)
  * Excel (XLS, XLSX)
  * PowerPoint (PPT, PPTX)
  * Visio (VSD)
  * Publisher (PUB)
  * Outlook
  * TNEF (Transport Neutral Encoding Format)
 .
 This package contains the documentation for libapache-poi-java.
