=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/+dfsg//')

PACKAGE := apache-poi
MAVEN_DIST := build/dist
POM_DIR := $(MAVEN_DIST)
JAR_DIR := $(MAVEN_DIST)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := ant ant-junit
DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
DEB_ANT_CHECK_TARGET := test
#DEB_INSTALL_CHANGELOGS_ALL := RELEASE-NOTES.txt

ANT_ARGS := -Dversion.id=$(VERSION)

clean::
	mh_clean
	-test -d docs/skin/css && rmdir docs/skin/css
	-rm -rf debian/tmp
	rm -f ooxml-lib/*.jar

binary-post-install/lib$(PACKAGE)-java::
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-scratchpad-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-ooxml-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-ooxml-schemas-$(VERSION).pom
	mh_installpom -plib$(PACKAGE)-java $(POM_DIR)/poi-excelant-$(VERSION).pom
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-$(VERSION).pom $(JAR_DIR)/poi-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-scratchpad-$(VERSION).pom $(JAR_DIR)/poi-scratchpad-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-ooxml-$(VERSION).pom $(JAR_DIR)/poi-ooxml-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-ooxml-schemas-$(VERSION).pom $(JAR_DIR)/poi-ooxml-schemas-$(VERSION).jar
	mh_installjar -plib$(PACKAGE)-java -l $(POM_DIR)/poi-excelant-$(VERSION).pom $(JAR_DIR)/poi-ooxml-schemas-$(VERSION).jar
	
	jh_classpath -plib$(PACKAGE)-java

get-orig-source:
	debian/orig-tar.sh --upstream-version $(VERSION)
