=== debian/watch ===
version=3
http://archive.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz
