## libapache-poi-java 3.10

=== debian/changelog ===
libapache-poi-java (3.10-2) unstable; urgency=medium

  * Fixed a test failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Jul 2014 13:51:22 +0200

libapache-poi-java (3.10-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build depend on junit4 instead of junit
    - Added a patch disabling the code coverage report
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Feb 2014 15:17:18 +0100
