=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Build-Depends: ant,
                ant-optional,
                cdbs,
-               debhelper (>= 7),
+               debhelper (>= 9),
                default-jdk,
                javahelper,
-               junit,
+               junit4,
                libcommons-codec-java,
                libcommons-logging-java,
                libdom4j-java,
                liblog4j1.2-java,
                libxmlbeans-java,
                maven-repo-helper
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libapache-poi-java
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libapache-poi-java/
 Homepage: http://poi.apache.org
