## libapache-poi-java 3.10.1

=== debian/changelog ===
libapache-poi-java (3.10.1-3) unstable; urgency=medium
 
  * Team upload.

  [ Emmanuel Bourg ]
  * Use the date of the changelog as the release date in Version.java
    (Closes: #790741)

  [ tony mancill ]
  * Standards-Version updated to 3.9.8 (no changes)
  * Update Vcs URLs to use HTTPS.

 -- tony mancill <tmancill@debian.org>  Sun, 14 Aug 2016 17:09:47 -0700

libapache-poi-java (3.10.1-2) unstable; urgency=medium

  * Fixed CVE-2014-9527: Infinite loop on corrupted PPT file (Closes: #775171)
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Jan 2015 15:06:33 +0100

libapache-poi-java (3.10.1-1) unstable; urgency=medium

  * New upstream release (Fixes CVE-2014-3529 and CVE-2014-3574)
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 Aug 2014 22:43:52 +0200
