=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,14 @@
 JAVA_HOME := /usr/lib/jvm/default-java
 ANT_HOME := /usr/share/ant
 
-DEB_JARS := ant ant-junit
+DEB_JARS := ant ant-junit ant-junit4
 DEB_ANT_BUILD_TARGET := jar maven-poms javadocs
 DEB_ANT_CHECK_TARGET := test
 #DEB_INSTALL_CHANGELOGS_ALL := RELEASE-NOTES.txt
+DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)
+DSTAMP = $(shell date '--date=$(DEB_CHANGELOG_DATETIME)' +%Y%m%d)
 
-ANT_ARGS := -Dversion.id=$(VERSION)
+ANT_ARGS := -Dversion.id=$(VERSION) -DDSTAMP=$(DSTAMP)
 
 clean::
 	mh_clean
