## libapache-poi-java 3.12

=== debian/changelog ===
libapache-poi-java (3.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added the new XSDs downloaded during the build in the upstream tarball
    - New build dependencies on libbcpkix-java and libxml-security-java
    - New dependency on libjaxb-api-java for Java 9+

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 25 Jul 2018 23:00:27 +0200

libapache-poi-java (3.10.1-4) unstable; urgency=medium

  * Team upload.
  * Fixed the test failures with Java 9 (Closes: #893250)
  * Downgraded the ant dependency to "Suggests" level (Closes: #856693)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889320)
  * Properly install the poi-excelant jar
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 10
  * Use salsa.debian.org Vcs-* URLs
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jul 2018 13:55:38 +0200
