=== debian/control ===
--- 
+++ 
@@ -2,38 +2,41 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Rene Engelhard <rene@debian.org>,
-           Torsten Werner <twerner@debian.org>,
-           Damien Raude-Morvan <drazzib@debian.org>,
-           Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: ant,
-               ant-optional,
-               cdbs,
-               debhelper (>= 9),
-               default-jdk,
-               javahelper,
-               junit4,
-               libcommons-codec-java,
-               libcommons-logging-java,
-               libdom4j-java,
-               liblog4j1.2-java,
-               libxmlbeans-java,
-               maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libapache-poi-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libapache-poi-java.git
+Uploaders:
+ Rene Engelhard <rene@debian.org>,
+ Torsten Werner <twerner@debian.org>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
+ ant,
+ ant-optional,
+ debhelper (>= 10~),
+ default-jdk,
+ javahelper,
+ junit4,
+ libbcpkix-java,
+ libcommons-codec-java,
+ libcommons-logging-java,
+ libdom4j-java,
+ libjaxb-api-java,
+ liblog4j1.2-java,
+ libxmlbeans-java,
+ libxml-security-java (>= 2.0),
+ maven-repo-helper
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/java-team/libapache-poi-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libapache-poi-java
 Homepage: http://poi.apache.org
 
 Package: libapache-poi-java
 Architecture: all
-Depends: ant,
-         libcommons-codec-java,
-         libcommons-logging-java,
-         libdom4j-java,
-         liblog4j1.2-java,
-         libxmlbeans-java,
-         ${misc:Depends}
-Suggests: libapache-poi-java-doc
+Depends:
+ libcommons-codec-java,
+ libcommons-logging-java,
+ libdom4j-java,
+ liblog4j1.2-java,
+ libxmlbeans-java,
+ ${misc:Depends}
+Suggests: libapache-poi-java-doc, ant
 Conflicts: libjakarta-poi-java
 Replaces: libjakarta-poi-java
 Provides: libjakarta-poi-java
