## libapache-poi-java 4.0.1

=== debian/changelog ===
libapache-poi-java (4.0.1-6) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * d/p/17_commons-compress-upgrade.patch: apply upstream patch to resolve ftbfs
    (Closes: #1065455).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 07 Mar 2024 15:21:27 +1300

libapache-poi-java (4.0.1-5) unstable; urgency=medium

  [ Pierre Gruet ]
  * Team upload
  * Providing classpaths of build jars in debian/libapache-poi-java.classpath
    (Closes: #1012079)
  * Raising Standards version to 4.6.1 (Rules-Requires-Root: no)
  * Removing unneeded versioned dependencies in debian/control
  * Replacing obsolete X-Comment field with Comment in d/copyright
  * Trim trailing whitespace.
  * Raising debian/watch format from 3 to 4.
  * Adding missing dependencies to the binary package
  * Apply multi-arch hints. + libapache-poi-java-doc: Add Multi-Arch: foreign.

  [ tony mancill ]
  * Add patch for BouncyCastle 1.77 (Closes: #1057167)
  * Use UTC for build timestamp (Closes: #1039741)

 -- tony mancill <tmancill@debian.org>  Wed, 13 Dec 2023 13:42:30 -0800

libapache-poi-java (4.0.1-4) unstable; urgency=medium

  * Compatibility with XMLBeans 4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2022 23:21:14 +0200

libapache-poi-java (4.0.1-3) unstable; urgency=medium

  * Fixed the build failure with Java 17 (Closes: #981973)
  * Tightened the dependency on libcommons-compress-java (Closes: #923540)
  * Preserve the compatibility with Java 8 when building with recent JDKs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Feb 2022 17:00:55 +0100

libapache-poi-java (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add preliminary ignore-test-errors.patch but don't apply it to work around
    the test failures.
  * Ignore test failures for now which seem to be related to the upgrade of
    commons-compress to version 1.21, "Truncated ZIP file". This could be merely
    a problem with some kind of return code or message but should be
    re-investigated when the next upstream version of Apache POI will be
    packaged. (Closes: #997715)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 13 Nov 2021 23:13:12 +0100

libapache-poi-java (4.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Disabled the tests using xmlunit 2.x (not in Debian yet)
    - Depend on libxmlbeans-java (>= 3.0.2)
    - New dependencies on libcommons-compress-java and libcommons-math3-java
  * Build with Java 11 (Closes: #912476)
  * Backported a fix for a test failure

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Jan 2019 23:34:12 +0100

libapache-poi-java (3.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #800958)
    - Fixes CVE-2017-5644: XML Entity Expansion (XEE) attack with specially
      crafted OOXML file (Closes: #858301)
    - Fixes CVE-2017-12626: Infinite Loops while parsing crafted WMF, EMF, MSG
      and macros. Out of memory errors while parsing crafted DOC, PPT and XLS
      (Closes: #888651)
    - Refreshed the patches
    - New dependencies on libcurvesapi-java and libcommons-collections4-java
    - Updated the path to the Maven artifacts produced by the build
    - Added xmlbeans to the build classpath
    - Patched the xsds to resolve the external schemas in offline mode
    - Disabled the JMH benchmarks
  * Build with Java 8 temporarily
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 17 Jan 2019 10:43:53 +0100
