=== debian/control ===
--- 
+++ 
@@ -9,32 +9,46 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  junit4,
  libbcpkix-java,
  libcommons-codec-java,
+ libcommons-collections4-java,
+ libcommons-compress-java,
  libcommons-logging-java,
+ libcommons-math3-java,
+ libcurvesapi-java,
  libdom4j-java,
- libjaxb-api-java,
+ libjaxb-java,
  liblog4j1.2-java,
- libxmlbeans-java,
- libxml-security-java (>= 2.0),
- maven-repo-helper
-Standards-Version: 4.1.5
+ librhino-java (>= 1.7.7.2-3~),
+ libxmlbeans-java (>= 4.0.0),
+ libxml-security-java,
+ maven-repo-helper,
+ xmltooling-schemas
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/libapache-poi-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libapache-poi-java
-Homepage: http://poi.apache.org
+Homepage: https://poi.apache.org
+Rules-Requires-Root: no
 
 Package: libapache-poi-java
 Architecture: all
 Depends:
+ libbcpkix-java,
  libcommons-codec-java,
+ libcommons-collections4-java,
+ libcommons-compress-java,
  libcommons-logging-java,
+ libcommons-math3-java,
+ libcurvesapi-java,
  libdom4j-java,
+ libjaxb-java,
  liblog4j1.2-java,
  libxmlbeans-java,
+ libxml-security-java,
  ${misc:Depends}
 Suggests: libapache-poi-java-doc, ant
 Conflicts: libjakarta-poi-java
@@ -62,6 +76,7 @@
 Conflicts: libjakarta-poi-java-doc
 Replaces: libjakarta-poi-java-doc
 Provides: libjakarta-poi-java-doc
+Multi-Arch: foreign
 Description: Apache POI - Java API for Microsoft Documents (Documentation)
  Apache POI provides a Java API for manipulating various file formats based upon
  the Office Open XML standards (OOXML) and Microsoft's OLE 2 Compound Document
