=== debian/watch ===
version=4
https://archive.apache.org/dist/poi/release/src/poi-src-([\d\.]*)-(?:.*).*.tar.gz debian debian/orig-tar.sh
